let Sigil = env:DHALL_SIGIL

let Init = Sigil.Init

let Child = Init.Child

let Libc = Sigil.Libc

in  λ(binary : Text) →
      Child.flat
        Child.Attributes::{
        , binary
        , resources = Sigil.Init.Resources::{
          , caps = 256
          , ram = Sigil.units.MiB 16
          }
        , config =
            let cfg =
                  Libc.toConfig
                    Libc::{
                    , rtc = None Text
                    , vfs =
                      [ VFS.dir "dev" [ VFS.leaf "null", VFS.leaf "log" ]
                      , VFS.leafAttrs "rom" (toMap { name = "backdrop.png" })
                      ]
                    }

            in  cfg
              with content =
                    cfg.content
                  # [ XML.leaf
                        { name = "image"
                        , attributes = toMap
                            { png = "backdrop.png", anchor = "bottomright" }
                        }
                    ]
        }
